body {
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
  background-color: #f4f4f4;
  margin: 0;
  padding: 0;
}

.container {
  max-width: 1000px;
  margin: 0 auto;
  background-color: #ffffff;
  padding: 20px;
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  margin-top: 20px;
}

.brand-bar {
  font-size: 24px;
  color: rgb(6, 10, 69);
  line-height: 36px;
  font-family: Montserrat-Light,sans-serif;
  display: flex;
  border-bottom: 1px solid #2d6df6;
  box-shadow: 0 6px 3px rgba(0,0,0,.1);
}

#reportSupport {
  font-size: 20px;
}

.userInfo {
  float: right;
  font-size: 11px;
}

h1 {
  text-align: center;
  color: #333333;
}

.studyNumber, .inputs, .outputs {
  font-weight: bold;
}

.section-label {
  font-weight: 200;
  margin-left: 10px;
  margin-top: 10px;
}

.file-upload-container, .file-download-container {
  display: flex;
  flex-direction: column;
  align-items: center;
}

table {
  width: 100%;
}

table, th, td {
  border: 1px solid black;
  border-collapse: collapse;
}

input[type="file"] {
  display: none;
}

.success-row {
  background-color: #c8e6c9; /* Light green */
}

.fileLabel, #conceptLink {
  display: inline-block;
  color: #2d6df6;
  padding: 0.5rem;
  font-family: sans-serif;
  border-radius: 0.3rem;
  cursor: pointer;
  text-decoration: none;
}

.output-type {
  display: inline-block;
  padding: 0.5rem;
  font-family: sans-serif;
  border-radius: 0.3rem;
  text-decoration: none;
}

#uploaded_conceptInformation, #uploaded_verbatims, #uploaded_customQuestions, #uploaded_financialPotential, #uploaded_activationProfile {
  width: 50%;
}

button {
  background-color: #2d6df6;
  color: white;
  padding: 5px 10px;
  text-align: center;
  text-decoration: none;
  display: block;
  font-size: 14px;
  margin: 0 auto; /* Center the button horizontally */
  cursor: pointer;
  border: none;
  border-radius: 5px;
  box-shadow: 0 2px #999;
  transition: background-color 0.3s;
}

button:disabled {
  background-color: #eceaea; /* Change to the desired color for disabled state */
  color: #808080; /* Change to the desired color for disabled state */
  cursor: not-allowed;
}

button:active {
  background-color: rgb(6, 10, 69);
  box-shadow: 0 1px #666;
  transform: translateY(1px);
}

.result-message {
  padding: 0.5rem;
  color: #333333;
}

.error-message {
  background-color: #ffcccc; /* Light red background */
  color: #ff000091; /* Red text color */
  padding: 5px;
  border: 1px solid #ff000091;
  border-radius: 5px;
  text-align: center;
  display: none;
}

.run-button {
  display: inline-flex;  
  font-family: sans-serif;
  align-items: center;
  justify-content: center;
  margin: 0 10px; /* Adjust the margin as needed */
}

.button-container {
  display: inline;
  align-items: center;
  justify-content: center;
}

/* Style the loading spinner */
.loading-spinner {
  display: none;
  float: right;
  margin-right: 30px;
  border: 6px solid rgba(0, 0, 0, 0.3);
  border-top: 6px solid #3498db;
  border-radius: 50%;
  width: 10px;
  height: 10px;
  margin: 5px auto;
  margin-right: 5px;
  animation: spin 2s linear infinite;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

.clipboard-copy {
  margin-right: 5px;
  float: right;
  background-color: #c8e6c9;
}

.copy-icon {
  display: block;
}

.copied-icon {
  display: none;
}

.summary {
  padding: 0.5rem;
  font-weight: bold;
}

#verbatims_summary {
  display: none;
}

.logo {
  cursor: pointer;
}

.info {
  display: flex;
}

.infoIcon {
  margin: 3px;
}

.infoMessage {
  font-style: italic;
  margin-top: 7px;
}